GET
/notification-settings
Requires notification_setting.read
permission.
Query parameters
afterstring
Return entities after the specified Paddle ID when working with paginated endpoints. Used in the
meta.pagination.next URL in responses for list operations.per_pageinteger
Default:
200Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 200; Maximum: 200.
Max: 200
order_bystring
Default:
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: id.
activeboolean
Determine whether returned entities are active (
true) or not (false).traffic_sourcestring
Whether Paddle should deliver real platform events, simulation events or both to this notification destination.
Values
platformDeliver real platform events to this notification destination.simulationDeliver simulation events to this notification destination.allDeliver platform and simulation events to this notification destination.
Response (200)
dataarrayrequired
idstringrequired
Example:
ntfset_01gt21c5pdx9q1e4mh1xrsjjn6Unique Paddle ID for this notification setting, prefixed with
ntfset_.Pattern:
^ntfset_[a-z\d]{26}$descriptionstringrequired
Short description for this notification destination. Shown in the Paddle dashboard.
Length: 1–500
typestringrequired
Where notifications should be sent for this destination.
Values
emailDeliver to an email address.urlDeliver to a webhook endpoint.
destinationstringrequired
Webhook endpoint URL or email address.
Length: 1–2048
activebooleanrequired
Default:
trueWhether Paddle should try to deliver events to this notification destination.
api_versionintegerrequired
API version that returned objects for events should conform to. Must be a valid version of the Paddle API. Can't be a version older than your account default.
Min: 1
include_sensitive_fieldsbooleanrequired
Default:
falseWhether potentially sensitive fields should be sent to this notification destination.
subscribed_eventsarrayrequired
Subscribed events for this notification destination.
namestringrequired
Type of event sent by Paddle, in the format
entity.event_type.Values
address.createdAnaddress.createdevent.address.importedAnaddress.importedevent.address.updatedAnaddress.updatedevent.adjustment.createdAnadjustment.createdevent.adjustment.updatedAnadjustment.updatedevent.
+ Show all values− Hide values
api_key.createdAnapi_key.createdevent.api_key.expiredAnapi_key.expiredevent.api_key.expiringAnapi_key.expiringevent.api_key.revokedAnapi_key.revokedevent.api_key.updatedAnapi_key.updatedevent.api_key_exposure.createdAnapi_key_exposure.createdevent.business.createdAbusiness.createdevent.business.importedAbusiness.importedevent.business.updatedAbusiness.updatedevent.client_token.createdAclient_token.createdevent.client_token.revokedAclient_token.revokedevent.client_token.updatedAclient_token.updatedevent.customer.createdAcustomer.createdevent.customer.importedAcustomer.importedevent.customer.updatedAcustomer.updatedevent.discount.createdAdiscount.createdevent.discount.importedAdiscount.importedevent.discount.updatedAdiscount.updatedevent.discount_group.createdAdiscount_group.createdevent.discount_group.updatedAdiscount_group.updatedevent.payment_method.savedApayment_method.savedevent.payment_method.deletedApayment_method.deletedevent.payout.createdApayout.createdevent.payout.paidApayout.paidevent.price.createdAprice.createdevent.price.importedAprice.importedevent.price.updatedAprice.updatedevent.product.createdAproduct.createdevent.product.importedAproduct.importedevent.product.updatedAproduct.updatedevent.report.createdAreport.createdevent.report.updatedAreport.updatedevent.subscription.activatedAsubscription.activatedevent.subscription.canceledAsubscription.canceledevent.subscription.createdAsubscription.createdevent.subscription.importedAsubscription.importedevent.subscription.past_dueAsubscription.past_dueevent.subscription.pausedAsubscription.pausedevent.subscription.resumedAsubscription.resumedevent.subscription.trialingAsubscription.trialingevent.subscription.updatedAsubscription.updatedevent.transaction.billedAtransaction.billedevent.transaction.canceledAtransaction.canceledevent.transaction.completedAtransaction.completedevent.transaction.createdAtransaction.createdevent.transaction.paidAtransaction.paidevent.transaction.past_dueAtransaction.past_dueevent.transaction.payment_failedAtransaction.payment_failedevent.transaction.readyAtransaction.readyevent.transaction.revisedAtransaction.revisedevent.transaction.updatedAtransaction.updatedevent.
descriptionstringrequired
Example:
The subscription.created alert is fired when a new subscription is created.Short description of this event type.
groupstringrequired
Example:
SubscriptionsGroup for this event type. Typically the entity that this event relates to.
available_versionsarrayrequired
List of API versions that this event type supports.
endpoint_secret_keystringrequired
Webhook destination secret key, prefixed with
pdl_ntfset_. Used for signature verification.Pattern:
^pdl_ntfset_[a-zA-Z0-9]{26}_[a-zA-Z0-9]{32}$traffic_sourcestringrequired
Whether Paddle should deliver real platform events, simulation events or both to this notification destination.
Values
platformDeliver real platform events to this notification destination.simulationDeliver simulation events to this notification destination.allDeliver platform and simulation events to this notification destination.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
paginationobjectrequired
Keys used for working with paginated results.
per_pageintegerrequired
Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
nextstring (uri)required
URL containing the query parameters of the original request, along with the
after parameter that marks the starting point of the next page. Always returned, even if has_more is false.has_morebooleanrequired
Whether this response has another page.
estimated_totalinteger
Example:
999Estimated number of entities for this response.
{ "data": [ { "id": "ntfset_01gkpjp8bkm3tm53kdgkx6sms7", "description": "Slack notifications", "type": "url", "destination": "https://hooks.slack.com/example", "active": true, "api_version": 1, "include_sensitive_fields": false, "traffic_source": "all", "subscribed_events": [ { "name": "transaction.billed", "description": "Occurs when a transaction is billed.", "group": "Transaction", "available_versions": [ 1 ] }, { "name": "transaction.canceled", "description": "Occurs when a transaction is canceled.", "group": "Transaction", "available_versions": [ 1 ] }, { "name": "transaction.completed", "description": "Occurs when a transaction is completed.", "group": "Transaction", "available_versions": [ 1 ] }, { "name": "transaction.created", "description": "Occurs when a transaction is created.", "group": "Transaction", "available_versions": [ 1 ] }, { "name": "transaction.payment_failed", "description": "Occurs when a payment fails for a transaction.", "group": "Transaction", "available_versions": [ 1 ] }, { "name": "transaction.ready", "description": "Occurs when a transaction is ready.", "group": "Transaction", "available_versions": [ 1 ] }, { "name": "transaction.updated", "description": "Occurs when a transaction is updated.", "group": "Transaction", "available_versions": [ 1 ] }, { "name": "subscription.activated", "description": "Occurs when a subscription is activated.", "group": "Subscription", "available_versions": [ 1 ] }, { "name": "subscription.canceled", "description": "Occurs when a subscription is canceled.", "group": "Subscription", "available_versions": [ 1 ] }, { "name": "subscription.created", "description": "Occurs when a subscription is created.", "group": "Subscription", "available_versions": [ 1 ] }, { "name": "subscription.past_due", "description": "Occurs when a subscription is past due.", "group": "Subscription", "available_versions": [ 1 ] }, { "name": "subscription.paused", "description": "Occurs when a subscription is paused.", "group": "Subscription", "available_versions": [ 1 ] }, { "name": "subscription.resumed", "description": "Occurs when a subscription is resumed.", "group": "Subscription", "available_versions": [ 1 ] }, { "name": "subscription.trialing", "description": "Occurs when a subscription is trialing.", "group": "Subscription", "available_versions": [ 1 ] }, { "name": "subscription.updated", "description": "Occurs when a subscription is updated.", "group": "Subscription", "available_versions": [ 1 ] } ], "endpoint_secret_key": "pdl_ntfset_01gkpjp8bkm3tm53kdgkx6sms7_6h3qd3uFSi9YCD3OLYAShQI90XTI5vEI" } ], "meta": { "pagination": { "per_page": 200, "estimated_total": 1, "next": "https://api.paddle.com/notification-settings?after=ntfset_01gt21c5pdx9q1e4mh1xrsjjn6", "has_more": false }, "request_id": "237fec70-9edb-4d93-90d9-e19ffa8bfe48" }}